<?php
/**
 * @package   AkeebaBackup
 * @copyright Copyright (c)2006-2016 Nicholas K. Dionysopoulos
 * @license   GNU General Public License version 3, or later
 */

// Protect from unauthorized access
defined('_JEXEC') or die();

/** @var  \Akeeba\Backup\Admin\View\Manage\Html  $this */
?>

<script type="text/javascript">
	Joomla.orderTable = function () {
		table = document.getElementById("sortTable");
		direction = document.getElementById("directionTable");
		order = table.options[table.selectedIndex].value;
		if (order != '{{addslashes($this->order)}}') {
			dirn = 'asc';
		} else {
			dirn = direction.options[direction.selectedIndex].value;
		}
		Joomla.tableOrdering(order, dirn, '');
	}
</script>

@if($this->promptForConfigurationWizard)
@include('admin:com_akeeba/Manage/howtorestore_modal')
@endif

@unless($this->promptForConfigurationWizard)
<div class="alert alert-info">
	<button class="close" data-dismiss="alert">×</button>
	<h4 class="alert-heading">@lang('COM_AKEEBA_BUADMIN_LABEL_HOWDOIRESTORE_LEGEND')</h4>

	@sprintf('COM_AKEEBA_BUADMIN_LABEL_HOWDOIRESTORE_TEXT_' . ((defined('AKEEBA_PRO') && AKEEBA_PRO) ? 'PRO' : 'CORE'),
			'https://www.akeebabackup.com/videos/1212-akeeba-backup-core/1618-abtc04-restore-site-new-server.html',
			'index.php?option=com_akeeba&view=Transfer',
			'https://www.akeebabackup.com/latest-kickstart-core.zip'
			)
</div>
@endunless

<div id="j-main-container">
	<form action="index.php" method="post" name="adminForm" id="adminForm">
		<input type="hidden" name="option" id="option" value="com_akeeba"/>
		<input type="hidden" name="view" id="view" value="Manage"/>
		<input type="hidden" name="boxchecked" id="boxchecked" value="0"/>
		<input type="hidden" name="task" id="task" value="default"/>
		<input type="hidden" name="filter_order" id="filter_order" value="{{{$this->order}}}"/>
		<input type="hidden" name="filter_order_Dir" id="filter_order_Dir" value="{{{$this->order_Dir}}}"/>
		<input type="hidden" name="@token()" value="1"/>

		<div id="filter-bar" class="btn-toolbar">
			<div class="filter-search btn-group pull-left">
				<input type="text" name="description" placeholder="@lang('COM_AKEEBA_BUADMIN_LABEL_DESCRIPTION')"
					   id="filter_description"
					   value="{{{$this->fltDescription}}}"
					   title="@lang('COM_AKEEBA_BUADMIN_LABEL_DESCRIPTION')"/>
			</div>
			<div class="btn-group pull-left hidden-phone">
				<button class="btn" type="submit" title="@lang('JSEARCH_FILTER_SUBMIT')">
					<span  class="icon-search"></span>
				</button>
				<button class="btn" type="button"
						onclick="document.id('filter_description').value='';this.form.submit();"
						title="@lang('JSEARCH_FILTER_CLEAR')">
					<span class="icon-remove"></span>
				</button>
			</div>

			<div class="filter-search btn-group pull-left hidden-phone">
				@jhtml('calendar', $this->fltFrom, 'from', 'from', '%Y-%m-%d', array('class' => 'input-small'))
			</div>
			<div class="filter-search btn-group pull-left hidden-phone">
				@jhtml('calendar', $this->fltTo, 'to', 'to', '%Y-%m-%d', array('class' => 'input-small'))
			</div>
			<div class="btn-group pull-left hidden-phone">
				<button class="btn" type="button" onclick="this.form.submit(); return false;"
						title="@lang('JSEARCH_FILTER_SUBMIT')">
					<span class="icon-search"></span>
				</button>
			</div>
			<div class="btn-group pull-left hidden-phone">
				@jhtml('select.genericlist', $this->profilesList, 'profile', 'onchange="document.forms.adminForm.submit()" class="advancedSelect"', 'value', 'text', $this->fltProfile)
			</div>

			<div class="btn-group pull-right">
				<label for="limit"
					   class="element-invisible">@lang('JFIELD_PLG_SEARCH_SEARCHLIMIT_DESC')</label>
				{{$this->pagination->getLimitBox()}}
			</div>
			<div class="btn-group pull-right hidden-phone">
				<label for="directionTable"
					   class="element-invisible">@lang('JFIELD_ORDERING_DESC')</label>
				<select name="directionTable" id="directionTable" class="input-medium" onchange="Joomla.orderTable()">
					<option value="">
						@lang('JFIELD_ORDERING_DESC')
					</option>
					<option value="asc" {{($this->order_Dir == 'asc') ? 'selected="selected"' : ""}}>
						@lang('JGLOBAL_ORDER_ASCENDING')
					</option>
					<option {{($this->order_Dir == 'desc') ? 'selected="selected"' : ""}}>
						@lang('JGLOBAL_ORDER_DESCENDING')
					</option>
				</select>
			</div>
			<div class="btn-group pull-right">
				<label for="sortTable" class="element-invisible">@lang('JGLOBAL_SORT_BY')</label>
				<select name="sortTable" id="sortTable" class="input-medium" onchange="Joomla.orderTable()">
					<option value="">@lang('JGLOBAL_SORT_BY')</option>
					@jhtml('select.options', $this->sortFields, 'value', 'text', $this->order)
				</select>
			</div>
		</div>

		<table class="table table-striped" id="itemsList">
		<thead>
			<tr>
				<th width="20">
					<input type="checkbox" name="toggle" value="" onclick="Joomla.checkAll(this);"/>
				</th>
				<th width="20" class="hidden-phone">
					@jhtml('grid.sort', 'COM_AKEEBA_BUADMIN_LABEL_ID', 'id', $this->order_Dir, $this->order, 'default')
				</th>
				<th>
					@jhtml('grid.sort', 'COM_AKEEBA_BUADMIN_LABEL_DESCRIPTION', 'description', $this->order_Dir, $this->order, 'default')
				</th>
				<th  class="hidden-phone">
					@jhtml('grid.sort', 'COM_AKEEBA_BUADMIN_LABEL_PROFILEID', 'profile_id', $this->order_Dir, $this->order, 'default')
				</th>
				<th width="5%">
					@lang('COM_AKEEBA_BUADMIN_LABEL_DURATION')
				</th>
				<th width="40">
					@lang('COM_AKEEBA_BUADMIN_LABEL_STATUS')
				</th>
				<th width="80" class="hidden-phone">
					@lang('COM_AKEEBA_BUADMIN_LABEL_SIZE')
				</th>
				<th class="hidden-phone">
					@lang('COM_AKEEBA_BUADMIN_LABEL_MANAGEANDDL')
				</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="11" class="center">
					{{$this->pagination->getListFooter()}}
				</td>
			</tr>
		</tfoot>
		<tbody>
		@if(empty($this->list))
			<tr>
				<td colspan="11" class="center">
					@lang('COM_AKEEBA_BACKUP_STATUS_NONE')
				</td>
			</tr>
		@endif
		@unless(empty($this->list))
			<?php $id = 1; $i = 0; ?>
			@foreach ($this->list as $record)
				<?php
				$id = 1 - $id;
				list($originDescription, $originIcon) = $this->getOriginInformation($record);
				list($startTime, $duration) = $this->getTimeInformation($record);
				list($statusClass, $statusIcon) = $this->getStatusInformation($record);
				$profileName = $this->getProfileName($record);
				?>
				<tr class="row{{$id}}">
					<td>@jhtml('grid.id', ++$i, $record['id'])</td>
					<td class="hidden-phone">
						{{{$record['id']}}}
					</td>
					<td>
						<span class="fa fa-fw {{$originIcon}} akeebaCommentPopover" rel="popover"
							  title="@lang('COM_AKEEBA_BUADMIN_LABEL_ORIGIN')"
							  data-content="{{{$originDescription}}}"></span>
						@unless(empty($record['comment']))
						<span class="icon icon-question-sign akeebaCommentPopover" rel="popover"
							  data-content="{{{$record['comment']}}}"></span>
						@endunless
						<a href="{{{JUri::base()}}}index.php?option=com_akeeba&view=Manage&task=showcomment&id={{{(int)$record['id']}}}">
							{{{empty($record['description']) ? JText::_('COM_AKEEBA_BUADMIN_LABEL_NODESCRIPTION') : $record['description']}}}
						</a>
						<br/>
						<div class="akeeba-buadmin-startdate" title="@lang('COM_AKEEBA_BUADMIN_LABEL_START')">
							<small>
								<span class="fa fa-fw fa-calendar"></span>
								{{{$startTime}}} GMT
							</small>
						</div>
					</td>
					<td class="hidden-phone">
						#{{{(int)$record['profile_id']}}}. {{{$profileName}}}
						<br/>
						<small>
							<em>{{{$this->translateBackupType($record['type'])}}}</em>
						</small>
					</td>
					<td>
						{{{$duration}}}
					</td>
					<td>
						<span class="label {{$statusClass}} akeebaCommentPopover" rel="popover"
							  title="@lang('COM_AKEEBA_BUADMIN_LABEL_STATUS')"
							  data-content="@lang('COM_AKEEBA_BUADMIN_LABEL_STATUS_' . $record['meta'])">
							<span class="fa fa-fw {{$statusIcon}}"></span>
						</span>
					</td>
					<td class="hidden-phone">
						@if($record['meta'] == 'ok')
							{{{$this->formatFilesize($record['size'])}}}
						@elseif($record['total_size'] > 0)
							<i>{{$this->formatFilesize($record['total_size'])}}</i>
						@else
							&mdash;
						@endif
					</td>
					<td class="hidden-phone">
						@include('admin:com_akeeba/Manage/manage_column', [
							'record' => &$record
						])
					</td>
				</tr>
			@endforeach
		@endunless
		</tbody>
		</table>
	</form>
</div>